Skip to main content
GET
/
v1
/
customer-portal
/
seats
/
subscriptions
Python (SDK)
import polar_sdk
from polar_sdk import Polar


with Polar() as polar:

    res = polar.customer_portal.seats.list_claimed_subscriptions(security=polar_sdk.CustomerPortalSeatsListClaimedSubscriptionsSecurity(
        customer_session="<YOUR_BEARER_TOKEN_HERE>",
    ), page=1, limit=10)

    while res is not None:
        # Handle items

        res = res.next()
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "amount": 123,
      "currency": "<string>",
      "recurring_interval": "day",
      "recurring_interval_count": 123,
      "status": "incomplete",
      "current_period_start": "2023-11-07T05:31:56Z",
      "current_period_end": "2023-11-07T05:31:56Z",
      "trial_start": "2023-11-07T05:31:56Z",
      "trial_end": "2023-11-07T05:31:56Z",
      "cancel_at_period_end": true,
      "canceled_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "ends_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "customer_id": "<string>",
      "product_id": "<string>",
      "discount_id": "<string>",
      "checkout_id": "<string>",
      "customer_cancellation_reason": "customer_service",
      "customer_cancellation_comment": "<string>",
      "product": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "trial_interval": "day",
        "trial_interval_count": 123,
        "name": "<string>",
        "description": "<string>",
        "visibility": "draft",
        "recurring_interval": "day",
        "recurring_interval_count": 123,
        "is_recurring": true,
        "is_archived": true,
        "organization_id": "<string>",
        "prices": [
          {
            "created_at": "2023-11-07T05:31:56Z",
            "modified_at": "2023-11-07T05:31:56Z",
            "id": "<string>",
            "source": "catalog",
            "amount_type": "<string>",
            "price_currency": "<string>",
            "is_archived": true,
            "product_id": "<string>",
            "type": "<string>",
            "recurring_interval": "day",
            "price_amount": 123,
            "legacy": true
          }
        ],
        "benefits": [
          {
            "id": "<string>",
            "created_at": "2023-11-07T05:31:56Z",
            "modified_at": "2023-11-07T05:31:56Z",
            "type": "custom",
            "description": "<string>",
            "selectable": true,
            "deletable": true,
            "organization_id": "<string>"
          }
        ],
        "medias": [
          {
            "id": "<string>",
            "organization_id": "<string>",
            "name": "<string>",
            "path": "<string>",
            "mime_type": "<string>",
            "size": 123,
            "storage_version": "<string>",
            "checksum_etag": "<string>",
            "checksum_sha256_base64": "<string>",
            "checksum_sha256_hex": "<string>",
            "last_modified_at": "2023-11-07T05:31:56Z",
            "version": "<string>",
            "service": "<string>",
            "is_uploaded": true,
            "created_at": "2023-11-07T05:31:56Z",
            "size_readable": "<string>",
            "public_url": "<string>"
          }
        ],
        "organization": {
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "name": "<string>",
          "slug": "<string>",
          "avatar_url": "<string>",
          "proration_behavior": "invoice",
          "allow_customer_updates": true,
          "customer_portal_settings": {
            "usage": {
              "show": true
            },
            "subscription": {
              "update_seats": true,
              "update_plan": true
            }
          },
          "organization_features": {
            "member_model_enabled": false
          }
        }
      },
      "prices": [
        {
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "source": "catalog",
          "amount_type": "<string>",
          "price_currency": "<string>",
          "is_archived": true,
          "product_id": "<string>",
          "type": "<string>",
          "recurring_interval": "day",
          "price_amount": 123,
          "legacy": true
        }
      ],
      "meters": [
        {
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "consumed_units": 123,
          "credited_units": 123,
          "amount": 123,
          "meter_id": "<string>",
          "meter": {
            "created_at": "2023-11-07T05:31:56Z",
            "modified_at": "2023-11-07T05:31:56Z",
            "id": "<string>",
            "name": "<string>"
          }
        }
      ],
      "pending_update": {
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "applies_at": "2023-11-07T05:31:56Z",
        "product_id": "<string>",
        "seats": 123
      },
      "seats": 123
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Authorizations

Authorization
string
header
required

Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.

Query Parameters

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

Response

Successful Response

items
CustomerSubscription · object[]
required
pagination
Pagination · object
required